%global upstreambase gnome-software
%global versioncurrent 3.32
%global versionnext 3.33
# this is not a library version
%global gs_plugin_version 13

# dependencies (from gnome-software spec)
%global glib2_version 2.56.0
%global gtk3_version 3.22.4
%global json_glib_version 1.2.0
%global appstream_glib_version 0.7.15
%global libsoup_version 2.52.0
%global gsettings_desktop_schemas_version 3.12.0
%global gnome_desktop_version 3.18.0
%global libxmlb_version 0.1.7
%global snapd_glib_version 1.42


Name:           %{upstreambase}-snap
Version:        3.32.4
Release:        1%{?dist}
Summary:        GNOME Software plugin for Snap packages

License:        GPLv2+
URL:            https://wiki.gnome.org/Apps/Software
Source0:        https://download.gnome.org/sources/%{upstreambase}/%{versioncurrent}/%{upstreambase}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  libxslt
BuildRequires:  docbook-style-xsl
BuildRequires:  desktop-file-utils
BuildRequires:  glib2-devel >= %{glib2_version}
BuildRequires:  gnome-desktop3-devel
BuildRequires:  gnome-online-accounts-devel
BuildRequires:  gsettings-desktop-schemas-devel >= %{gsettings_desktop_schemas_version}
BuildRequires:  gspell-devel
BuildRequires:  gtk3-devel >= %{gtk3_version}
BuildRequires:  gtk-doc
BuildRequires:  json-glib-devel >= %{json_glib_version}
BuildRequires:  libappstream-glib-devel >= %{appstream_glib_version}
BuildRequires:  libsoup-devel
BuildRequires:  libxmlb-devel >= %{libxmlb_version}
BuildRequires:  meson
BuildRequires:  polkit-devel
BuildRequires:  libsecret-devel
BuildRequires:  libgudev1-devel
BuildRequires:  valgrind-devel
BuildRequires:  liboauth-devel
BuildRequires:  snapd-glib-devel >= %{snapd_glib_version}

Requires:      (%{upstreambase}%{?_isa} >= %{version} with %{upstreambase}%{?_isa} < %{versionnext})
Requires:      snapd
Supplements:   (%{upstreambase}%{?_isa} and snapd%{?_isa})


%description
This package adds support to GNOME Software for managing
Snap packages from the Snap store.

%prep
%autosetup -n %{upstreambase}-%{version}


%build
%meson \
    -Dsnap=true \
    -Dgudev=true \
    -Dpackagekit=false \
    -Dexternal_appstream=false \
    -Drpm_ostree=false \
    -Dfwupd=false \
    -Dflatpak=false \
    -Dgtk_doc=false \
    -Dvalgrind=false \
    -Dtests=false
%meson_build


%install
%meson_install

# Delete everything except the snap plugin files
rm -rf %{buildroot}%{_bindir}
rm -rf %{buildroot}%{_datadir}/app*
rm -rf %{buildroot}%{_datadir}/dbus-1
rm -rf %{buildroot}%{_datadir}/doc
rm -rf %{buildroot}%{_datadir}/glib-2.0
rm -rf %{buildroot}%{_datadir}/gnome*
rm -rf %{buildroot}%{_datadir}/icons
rm -rf %{buildroot}%{_datadir}/locale
rm -rf %{buildroot}%{_mandir}
rm -rf %{buildroot}%{_libdir}/pkgconfig
rm -rf %{buildroot}%{_includedir}
rm -rf %{buildroot}%{_sysconfdir}
rm -rf %{buildroot}%{_libexecdir}

find %{buildroot}%{_libdir} -type f -not -name '*snap*' -delete
find %{buildroot}%{_metainfodir} -type f -not -name '*Snap*' -delete


%files
%doc AUTHORS README.md
%license COPYING
%{_libdir}/gs-plugins-%{gs_plugin_version}/libgs_plugin_snap.so
%{_datadir}/metainfo/org.gnome.Software.Plugin.Snap.metainfo.xml


%changelog
* Sun Jul 14 2019 Neal Gompa <ngompa13@gmail.com> - 3.32.4-1
- Initial packaging split out of gnome-software
